Subject: Re: [PATCH net-next v2 1/2] net: store netdevs in an xarray

From: Jakub Kicinski <[email-masked]>
Date: Fri, 28 Jul 2023 17:07:38 -0700

On Fri, 28 Jul 2023 16:23:50 -0700 Stephen Hemminger wrote:
> > I think so, as in - the previous code doesn't have any checks either,
> > so it'd insert the negative ifindex into the hash table. Hopefully
> > nobody assigns negative values to dev->ifindex, that'd be a bug in
> > itself, I reckon.
> 
> Even inserting with ifindex = 0 would be a bug

... and that could actually happen if we allocate and the indexes 
have wrapped :S We need better limit. I'll send a fix.